echo off
rem This is the Windows installation script for MrBUMP
echo.
echo. This is the Windows installation script for MrBUMP version 0.4.4

echo.
echo. Checking for python installation . . .
if not exist setup_lib/quick_test.py GOTO E_TEST test script not found
python setup_lib/quick_test.py

rem Check to see if the test file was created
if exist test_for_python.txt GOTO SETUP run the python installer
if not exist test_for_python.txt GOTO E_PYTHON python not found

:SETUP run the python installer
echo.
echo. Python is installed on your system. Proceeding with installation . . .
del test_for_python.txt
echo.
echo. Running setup.py . . .
echo.
python setup.py
pause
GOTO EOF

:E_TEST test script not found
echo.
echo. Setup Error: The python test script could not be found.
echo.              Are you trying to run setup from within the zip file?
echo.              You must first extract the files to a folder before
echo.              running setup.cmd.
echo.
pause
GOTO EOF

:E_PYTHON python not found
echo.
echo. Setup Error: A python installation was not found in your system PATH
echo.              Python is required for installing and running MrBUMP
echo.
echo. You can get python from:
echo.
echo. ftp://ftp.ccp4.ac.uk/python
echo.
echo. (download and run the ActivePython installer)
echo.
pause
GOTO EOF

:EOF end of script
